
/*
  K-based Frontend to yaf-Interface concrete implementation for splay
  Copyright (C) 1998  Martin Vogt

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation.

  For more information look at the file COPYRIGHT in this package

 */




#ifndef __FRONTENDDECODERSPLAY_H
#define __FRONTENDDECODERSPLAY_H

#include <yafBridge/frontendDecoder.h>
#include <yafxplayer/xplayerRuntime.defs>
#include <yafcore/yafRuntime.defs>

#include "prefs.h"


class FrontendDecoderSPlay : public FrontendDecoder {
  Q_OBJECT
 public:
  FrontendDecoderSPlay(Preferences* prefs);
  ~FrontendDecoderSPlay();

  void processRuntimeCommand(int cmd,char* args);
  void processReturnCommand(int cmd,char* ret,char* args); 


};

#endif

